Bug 223424 - BitTorrent version is at 5.0.5 upstream
BitTorrent version is at 5.0.5 upstream
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: bittorrent (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Howarth
Fedora Extras Quality Assurance
bzcl34nup
:
Depends On: 223623
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-19 00:41 EST by vfiend
Modified: 2008-04-04 09:59 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-04 09:59:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description vfiend 2007-01-19 00:41:46 EST
Should probably be updated, unless there's a reason the extras version is still
at 4.4
Comment 1 Paul Howarth 2007-01-19 08:25:50 EST
Versions of bittorrent later than 4.4 require python-twisted version 2 or later,
which has for a long time been unavailable in Extras (Bug #171543). Earlier this
week the upgrade of python-twisted was finally completed for FC6 and Rawhide
(Bug #221310) and so yesterday I updated Rawhide to 5.0.4. Today I have updated
it to 5.0.5.

I'll wait a week or so to see what, if any, feedback there is from Rawhide users
before updating FC6. I was considering not updating FC6 at all because there
have been a *lot* of changes since 4.4.0 including some siginificant additional
dependencies but since there are actually some pretty severe issues with 4.4.0
(e.g. Bug #221124), I do now intend to update FC6 eventually.

If you would like to test a 5.0.5 version for FC6, you can get it here:
http://www.city-fan.org/ftp/contrib/bittorrent/
If you try this, please let me know if it works OK for you and/or if you have
any issues with it.
Comment 2 vfiend 2007-01-19 13:42:22 EST
Thanks a lot, I'll give it a try.
Comment 3 vfiend 2007-01-19 13:59:08 EST
Well, it threw errors and wouldn't start up until I removed my old ~/.bittorrent
directory, but it seems to be working fine now. The menu entry icon should
probably be updated to the new green one from the old blue one, though.
Comment 4 Sander Hoentjen 2007-01-20 14:47:19 EST
$ bittorrent
>>> unable to setrlimit  not allowed to raise maximum limit
Traceback (most recent call last):
  File "/usr/bin/bittorrent", line 184, in <module>
    from BitTorrent.GUI_wx.DownloadManager import MainLoop
  File "/usr/lib/python2.5/site-packages/BitTorrent/GUI_wx/__init__.py", line
29, in <module>
    import wx
ImportError: No module named wx

This is the error I get with the latest version (5.0.5-1.fc7)

if i try import wx from a python shell it succeeds
I am on x86_64
Comment 5 Paul Howarth 2007-01-20 16:39:02 EST
(In reply to comment #4)
> $ bittorrent
> >>> unable to setrlimit  not allowed to raise maximum limit
> Traceback (most recent call last):
>   File "/usr/bin/bittorrent", line 184, in <module>
>     from BitTorrent.GUI_wx.DownloadManager import MainLoop
>   File "/usr/lib/python2.5/site-packages/BitTorrent/GUI_wx/__init__.py", line
> 29, in <module>
>     import wx
> ImportError: No module named wx
> 
> This is the error I get with the latest version (5.0.5-1.fc7)
> 
> if i try import wx from a python shell it succeeds
> I am on x86_64

Are you on fc6 or rawhide (fc7)? The fc7 version you're running is built for
python 2.5 and won't run on fc6.
Comment 6 kmberry 2007-01-20 17:27:08 EST
I am on fc7 and when python-2.8 came out bittorrent wouldn't work and I tried to
build 5.0.5 but gui died.  I changed the version to 2.8-gtk2-unicode in GUI.py
and it segfaulted.  Luckily someone fixed a 4.4.0-3 version.  Yesterday someone
at rawhide built the same version off bittorrent site that won't import wx
unless you change the version to 2.8-gtk2-unicode so I had to find the old
4.4.0-3 which worked on fc7 since december.  If you try to go fc6 with
python-2.8 and 5.0.5 I think you will have the same problem.  The code in 5.0.5
has to change. 
Comment 7 kmberry 2007-01-20 17:40:31 EST
(In reply to comment #6)
> I am on fc7 and when wxPython-2.8 came out bittorrent wouldn't work and I tried to
> build 5.0.5 but gui died.  I changed the version to 2.8-gtk2-unicode in GUI.py
> and it segfaulted.  Luckily someone fixed a 4.4.0-3 version.  Yesterday someone
> at rawhide built the same version off bittorrent site that won't import wx
> unless you change the version to 2.8-gtk2-unicode so I had to find the old
> 4.4.0-3 which worked on fc7 since december.  If you try to go fc6 with
> wxPython-2.8 and 5.0.5 I think you will have the same problem.  The code in 5.0.5
> has to change. 

Comment 8 kmberry 2007-01-20 17:44:43 EST
(In reply to comment #6)
> I am on fc7 and when wxPython-2.8 came out bittorrent wouldn't work and I tried to
> build 5.0.5 but gui died.  I added the version  2.8-gtk2-unicode in
BitTorrent/GUI_wx/__init__.py which had only '2.6'
> and it segfaulted.  Luckily someone fixed a 4.4.0-3 version.  Yesterday someone
> at rawhide built the same version off bittorrent site that won't import wx
> unless you change the version to 2.8-gtk2-unicode so I had to find the old
> 4.4.0-3 which worked on fc7 since december.  If you try to go fc6 with
> wxPython-2.8 and 5.0.5 I think you will have the same problem.  The code in 5.0.5
> has to change. 

Comment 9 Sander Hoentjen 2007-01-21 04:07:11 EST
I am on rawhide.
As per comment #8 I changed 2.6 to 2.8. That fixes it a little, but not quite:

$ bittorrent
>>> unable to setrlimit  not allowed to raise maximum limit
/usr/lib/python2.5/site-packages/BitTorrent/GUI_wx/__init__.py:31:
DeprecationWarning: The wxPython compatibility package is no longer
automatically generated or activly maintained.  Please switch to the wx package
as soon as possible.
  import wxPython
Segmentation fault
Comment 10 Paul Howarth 2007-01-23 12:36:38 EST
Let's move the Rawhide problem over to Bug #223623

Whilst the 5.0.5 version appears to work OK on FC6, I'm reluctant to upgrade FC6
until the Rawhide problem is resolved (an update in FC6 to wx 2.8 would break
the 5.0.5 package but not the current one). Having said that, I doubt that FC6
will get that wx upgrade.

If we have to revert Rawhide to 4.4.x there would also be the possibility of
having a later version in FC6 than FC7, something I wouldn't want to happen.

Any thoughts?
Comment 11 vfiend 2007-02-01 08:21:25 EST
Okay, I'm getting this error occasionally now..

Torrent got exception: exceptions.IOError
Traceback (most recent call last):
  File "/usr/lib/python2.4/site-packages/BTL/yielddefer.py", line 85, in _recall
    t = self.gen.next()
  File "/usr/lib/python2.4/site-packages/BitTorrent/Torrent.py", line 924, in
_finished
    self.start_download()
  File "/usr/lib/python2.4/site-packages/BitTorrent/Torrent.py", line 637, in
start_download
    self.feedback.started(self)
  File "/usr/lib/python2.4/site-packages/BitTorrent/Torrent.py", line 81, in
multiply_calls
    getattr(x, attr)(*a, **kw)
  File "/usr/lib/python2.4/site-packages/BitTorrent/MultiTorrent.py", line 538,
in started
    torrent._dump_torrent_config()
  File "/usr/lib/python2.4/site-packages/BitTorrent/Torrent.py", line 979, in
_dump_torrent_config
    f = file(path+'.new', 'wb')
IOError: [Errno 24] Too many open files:
u'/home/chris/.bittorrent/data/torrents/59292fd97744c88sd3c29v72c7d5a6d8843624e9a.new'
Comment 12 Jonathan Underwood 2007-02-28 09:48:47 EST
5.0.6 has been released now:
http://download.bittorrent.com/dl/BitTorrent-5.0.6.tar.gz
Comment 13 Paul Howarth 2007-02-28 09:58:16 EST
I have 5.0.6 packages here:

http://www.city-fan.org/ftp/contrib/bittorrent/

However, the rawhide bittorrent version is going to be downgraded back to 4.4.0
until such time as the current upstream version works with the wxPython package.
It is likely that Fedora 7 will be using bittorrent 4.4.0.

A consequence of this is that upgrading FC6 to 5.x would break the upgrade path
to Fedora 7, and hence I can't upgrade FC6 to 5.x until the rawhide issue is
resolved (see Bug #223623).
Comment 14 Bug Zapper 2008-04-04 01:39:29 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 15 Paul Howarth 2008-04-04 09:59:57 EDT
The chances of bittorrent getting an upgrade past 4.4.x are now very slim, because:

 * Upstream has gone closed source with version 6.x.

 * We can't ship 5.x either because the wxPython-based GUI is incompatible with
wxPython 2.8 in Fedora 7 onwards (Bug #223623) and upstream were never
interested in moving from wxPython 2.6; the last 5.x version, 5.20, still
doesn't work with wxPython 2.8.

So I'm going to close this one as WONTFIX; it could be re-opened if someone can
provide a patch for a 5.x version that addresses the GUI problem.

Note You need to log in before you can comment on or make changes to this bug.